/**
 * RoleClassLocatedEntity2.java
 *
 * File generated from the medication2::RoleClassLocatedEntity2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassLocatedEntity2.
 *
 * 
 */

@XmlType(name = "RoleClassLocatedEntity")
@XmlEnum
@XmlRootElement(name = "RoleClassLocatedEntity2")
public enum RoleClassLocatedEntity2 {
	@XmlEnumValue("LOCE")
	LOCE("LOCE"),
	@XmlEnumValue("STOR")
	STOR("STOR");
	
	private final String value;

    RoleClassLocatedEntity2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static RoleClassLocatedEntity2 fromValue(String v) {
        for (RoleClassLocatedEntity2 c: RoleClassLocatedEntity2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
